org.apache.ignite.internal.processors.cache.persistence.snapshot

## Class TrackingPageIsCorruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.persistence.snapshot.TrackingPageIsCorruptedException

All Implemented Interfaces:
  Serializable

    public class TrackingPageIsCorruptedException
    extends IgniteCheckedException

Thrown when corrupted tracking page was queried.

See Also:
  Serialized Form

### Field Summary

Fields
`static TrackingPageIsCorruptedException` `INSTANCE` Instance.

### Constructor Summary

Constructors
Constructor and Description
`TrackingPageIsCorruptedException(long lastTag, long passedTag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `lastTag()`
`long` `passedTag()`

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final TrackingPageIsCorruptedException INSTANCE

Instance.

### Constructor Detail

#### TrackingPageIsCorruptedException

    public TrackingPageIsCorruptedException(long lastTag,
                                            long passedTag)

Parameters:
  `lastTag` - Last tag.
  `passedTag` - Passed tag.

### Method Detail

#### lastTag

    public long lastTag()

Returns:
  Last tag.

#### passedTag

    public long passedTag()

Returns:
  Passed tag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022